#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    long long int x1,x2,y1,y2;
    cin>>x1>>y1>>x2>>y2;
    if ((x1!=x2) && (x1!=y2) && (y1!=x2) && (y1!=y2))
    {
        cout<<0;
    }
    else if ((x1==x2) || (x1==y2) || (y1==x2) || (y1==y2))
    {
        cout<<2;
    }
    else
    {
        cout<<1;
    }
    return 0;
}